﻿Option Explicit On
Public Class MainScreen
    Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
    Dim ScriptDir As String = System.IO.Directory.GetCurrentDirectory.ToString
    Dim AboutDialog As New About
    Private Sub MainScreen_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Activate()
        CenterToScreen()
        WebBrowser1.Navigate(ScriptDir & "\logo1.png")
        WebBrowser2.Navigate(ScriptDir & "\wb2.png")
        WebBrowser2.Hide()
        ProgressBar1.Hide()
        Button8.Hide()
        Label2.Hide()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Call SwitchToProgressScreenMode()
        Sleep(2000)
        Call XPMConsole.CheckDisk()
        Button8.Show()
        Dim PrcComplete As New ProcessComplete
        PrcComplete.ShowDialog()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Call SwitchToProgressScreenMode()
        Sleep(2000)
        Call XPMConsole.QuickCheckAndClean()
        Application.DoEvents()
        Button8.Show()
        Dim PrcComplete2 As New ProcessComplete
        PrcComplete2.ShowDialog()
    End Sub
    Sub SwitchToProgressScreenMode()
        Button1.Hide()
        Button2.Hide()
        Button3.Hide()
        Button4.Hide()
        Button5.Hide()
        Button6.Hide()
        Button7.Hide()
        MenuStrip1.Hide()
        WebBrowser1.Hide()
        WebBrowser2.Show()
        Label1.Hide()
        Label2.Show()
        ProgressBar1.Show()
    End Sub

    Private Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button8.Click
        Call SwitchToMainMenuMode()
    End Sub
    Sub SwitchToMainMenuMode()
        Label2.Hide()
        ProgressBar1.Hide()
        Button8.Hide()
        Label1.Show()
        WebBrowser2.Hide()
        WebBrowser1.Show()
        MenuStrip1.Show()
        Button1.Show()
        Button2.Show()
        Button3.Show()
        Button4.Show()
        Button5.Show()
        Button6.Show()
        Button7.Show()
    End Sub

    Private Sub QuitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles QuitToolStripMenuItem.Click
        Close()
    End Sub

    Private Sub WebBrowser2_DocumentCompleted(ByVal sender As System.Object, ByVal e As System.Windows.Forms.WebBrowserDocumentCompletedEventArgs) Handles WebBrowser2.DocumentCompleted

    End Sub

    Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click
        AboutDialog.ShowDialog()
    End Sub
End Class
